Prepare 1.4.5.

authorClaudiu Popa <pcmanticore@gmail.com>
changesetc811a214ddfb
branch1.4.4
phasepublic
hiddenno
parent revision#76c22add7397 Added tag pylint-1.4.4 for changeset 4e17fe0c44f9
child revision#66b73ed633c2 Restrict astroid to 1.3.8
files modified by this revision
ChangeLog
pylint/__pkginfo__.py
# HG changeset patch
# User Claudiu Popa <pcmanticore@gmail.com>
# Date 1449073107 -7200
# Wed Dec 02 18:18:27 2015 +0200
# Branch 1.4.4
# Node ID c811a214ddfb4b688fc22e9b7d7350af76c99d5b
# Parent 76c22add7397af54d601b24d718190aa943c300c
Prepare 1.4.5.

diff --git a/ChangeLog b/ChangeLog
@@ -1,8 +1,13 @@
1  ChangeLog for Pylint
2  --------------------
3 
4 +2015-12-02 -- 1.4.5
5 +
6 +    * Restrict astroid to 1.3.X only, since 1.4 is not compatible
7 +      with 1.3.
8 +
9  2015-06-30 -- 1.4.4
10 
11      * Avoid breaking pylint when using logilab.common >= 1.0.
12 
13  2015-03-14 -- 1.4.3
diff --git a/pylint/__pkginfo__.py b/pylint/__pkginfo__.py
@@ -17,14 +17,14 @@
14  """pylint packaging information"""
15  from __future__ import absolute_import
16 
17  modname = distname = 'pylint'
18 
19 -numversion = (1, 4, 4)
20 +numversion = (1, 4, 5)
21  version = '.'.join([str(num) for num in numversion])
22 
23 -install_requires = ['logilab-common >= 0.53.0', 'astroid >= 1.3.6', 'six']
24 +install_requires = ['logilab-common >= 0.53.0', 'astroid >= 1.3.6,<1.4.0', 'six']
25 
26  license = 'GPL'
27  description = "python code static checker"
28  web = 'http://www.pylint.org'
29  mailinglist = "mailto://code-quality@python.org"